
AddIngredientValues({"cherry"}, {fruit=0.5}, true, false)

local cherry_cake =
{
	name = "cherry_cake",
	test = function(cooker, names, tags) return names.cherry and names.honey and names.butterflywings and tags.fruit >= 1 and not tags.meat end,
	priority = 5,
	weight = 1,
	foodtype = "PREPARED",
	health = 20,
	hunger = 37.5,
	perishtime = TUNING.PERISH_MED,
	sanity = 20,
	cooktime = 1.75,
	tags = {},
}

local cherry_pie =
{
	name = "cherry_pie",
	test = function(cooker, names, tags) return names.cherry and names.butter and tags.egg >= 2 and not tags.meat end,
	priority = 5,
	weight = 1,
	foodtype = "PREPARED",
	health = 30,
	hunger = 75,
	perishtime = TUNING.PERISH_MED,
	sanity = 75,
	temperature = TUNING.HOT_FOOD_BONUS_TEMP,
	temperatureduration = TUNING.FOOD_TEMP_AVERAGE,
	cooktime = 6,
	tags = {},
}

AddCookerRecipe("cookpot",cherry_cake)
AddCookerRecipe("cookpot",cherry_pie)